lsh-utils (2.1-7) unstable; urgency=low

  * nettle3.patch: fix pointer type mismatches, mainly changing length
    variables from unsigned to size_t.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 03 Jun 2015 00:06:24 +0200

lsh-utils (2.1-6) unstable; urgency=low

  * skip-argp.patch (new): Make sure we don't touch the embedded argp copy
    when not needed. It fails to build with GCC 5, which defaults to C99,
    which has different inline function rules, and we don't need it.
    (Closes: #777990).
  * nettle3.patch (new): Adapt to API changes in Nettle 3.0 using the
    compat layer.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 02 Jun 2015 16:10:53 +0200

lsh-utils (2.1-5) unstable; urgency=low

  * bsd_connreset_test_fail.patch (new): Fix random test failures on kFreeBSD.
  * Bump Standards-Version to 3.9.6.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 19 Oct 2014 23:41:33 +0200

lsh-utils (2.1-4) unstable; urgency=low

  * Drop the Scheme interpreters (guile-1.6 | scsh) from Build-Depends;
    everything generated by Scheme code comes pre-built in the upstream
    tarball.
  * Also override Lintian error concerning doc/srp-spec.txt, generated
    from srp-spec.nroff (see 2.1-2 below).
  * lsh-server.service: Remove obsolete syslog.target from Unit.After
    option (it runs lsh-server non-forking anyway, which means that
    lsh-server doesn't call syslog itself).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 05 Oct 2014 17:53:00 +0200

lsh-utils (2.1-3) unstable; urgency=low

  * Add systemd unit file, which should behave similarly to the init
    script.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 31 Aug 2014 20:14:18 +0200

lsh-utils (2.1-2) unstable; urgency=low

  * new-readline-completion-function-typedef.patch: switch to new-style
    readline typedef for lsftp_rl_completion pointer cast (Closes:
    #741771).
  * Dutch Debconf translation update from Vincent Zweije and the
    debian-l10n-dutch team (Closes: #692831).
  * Override Lintian error concerning non-free IETF document
    doc/srp-spec.nroff. See debian/copyright for details.
  * rl_completion-segfault.patch (new): Avoid crashing when tab-completing
    an empty command line in lsftp.
  * lsh-doc: Drop dependency on dpkg (>= 1.15.4) | install-info (change in
    policy § 12.2).
  * With the above, raise Standards-Version to 3.9.5.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 01 Apr 2014 22:30:06 +0200

lsh-utils (2.1-1) unstable; urgency=low

  * New upstream release.
  * Upstream distribution no longer embeds old version of the Nettle
    library containing non-free RFC document; drop nonettle.patch.
  * Also drop better-errmsg-when-dotlsh-missing.patch, nettle-2.0.patch,
    nettle-2.1.patch, terminate-on-connection-failure.patch,
    ipv6-v6only.patch, and serpent-byteorder.patch, all incorporated
    upstream; and testsuite-mini-inetd-localhost.patch, made unneeded by
    new included version of mini-inetd.
  * Update and improve watch file, dropping dversionmangle option.
  * Bump Standards-Version to 3.9.4.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 15 Aug 2013 22:12:15 +0200

lsh-utils (2.0.4-dfsg-11) unstable; urgency=low

  * Review templates and package description by the debian-l10n-english team
    (Closes: #686212). Thanks to David Prévot for coordinating.

  [ Debconf translations ]
  * Portuguese, Rui Branco (Closes: #687146).
  * Russian, Yuri Kozlov (Closes: #687188).
  * Czech, Martin Šín (Closes: #687263).
  * Polish, Michał Kułach (Closes: #687549).
  * Italian, Beatrice Torracca (Closes: #687773).
  * French, David Prévot (Closes: #687810).
  * Danish, Joe Hansen (Closes: #687833).
  * German, Holger Wansing (Closes: #687979).
  * Japanese, Hideki Yamane.
  * Vietnamese, Nguyen Vu Hung (Closes: #688175).
  * Slovak, Slavko (Closes: #688193).
  * Swedish, Martin Bagge (edited slightly by me) (Closes: #688419).
  * Spanish, Javier Fernández-Sanguino (Closes: #688925).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 30 Sep 2012 22:54:03 +0200

lsh-utils (2.0.4-dfsg-10) unstable; urgency=low

  * Default to deleting host key on purge (Closes: #670433). It's only a
    host key, not significant amounts of user-generated data, so there's
    no good reason that a purge shouldn't delete it.
  * Correct misspelling of debconf key, which caused the host key never to
    be deleted.
  * Add Italian debconf localization. (Closes: #666425). Thanks to
    Beatrice Torracca and the Italian localization team.
  * Read settings from /etc/default/lsh-server in the config script
    (Closes: #620809) and add an EXTRA_ARGS variable that can be used to
    specify additional arguments to lshd (Closes: #592595).
  * Bump Standards-Version to 3.9.3.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 30 Jun 2012 17:58:46 +0200

lsh-utils (2.0.4-dfsg-9) unstable; urgency=low

  * serpent-byteorder.patch: Correct Serpent test case that depended on
    broken Serpent implementation in Nettle prior to 2.2 (Closes: #646653,
    I hope). Build-depend on nettle-dev >= 2.2 for the same reason.
  * Build-depend on libgmp-dev, which is now the real package, instead of
    libgmp10-dev.
  * Use dpkg-buildflags.
  * Bump Standards-Version to 3.9.2.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 10 Nov 2011 23:19:52 +0100

lsh-utils (2.0.4-dfsg-8) unstable; urgency=low

  * Change source format to 3.0 (quilt), renaming all patches
    from *.dpatch to *.patch and dropping the numbers.
  * While 30_nonettle.dpatch was a script that used sed to modify
    instances of Makefile.in, nonettle.patch patches Makefile.am files as
    well as configure.ac. dh-autoremake is used to call autoremake before
    configure and to restore the effects in the clean target. The
    src/nettle subdirectory still needs to be renamed to avoid its header
    files from being found; that is now done in debian/rules.
  * Switch from CDBS to a more old-style debian/rules to get better
    control over the build process.
  * Increase Debhelper compat level to 7.
  * blacklist.patch: Don't reject when blacklisted_key() returns -1,
    indicating no blacklist file for the key type and/or size in question
    exists.
  * nettle-2.1.patch (new): Build with Nettle 2.1.
  * Enable tests.
    testsuite-mini-inetd-localhost.patch (new): When told to bind to
    "localhost", mini-inetd, which is used in certain (optional) tests,
    seems to bind to 255.255.255.255, which is of course no good. Tell it
    to bind to 127.0.0.1 instead.
  * debian/lsh-doc.doc-base: Change section to the new `Network/Remote Access'.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Mar 2011 01:30:08 +0100

lsh-utils (2.0.4-dfsg-7) unstable; urgency=low

  * terminate_on_connection_failure.dpatch (new): Make sure that lsh exits
    if it fails to connect to the remote host (Closes: #485812).
  * ipv6_v6only.dpatch (new): Set the IPV6_V6ONLY socket option on
    AF_INET6 sockets; since lshd by default enumerates available address
    families and calls bind() once for each, conflicts will occur
    otherwise.
  * lsh-server.postinst: If openssh-server is installed and lsh-server is
    configured to use port 22, shut down sshd in addition to disabling it
    (Closes: #567945).
  * lsh-server.postinst: Close fd 3 (opened by debconf) to avoid "Closed
    spurious fd" warnings.
  * debian/control: Declare Breaks instead of Conflicts for files moved
    between packages.
  * Upgraded to Standards-Version 3.9.1 with the preceding change.
  * debian/control (lsh-server): Drop old Conflicts: lsh-utils (<<
    1.0.2-3).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 01 Aug 2010 20:52:37 +0200

lsh-utils (2.0.4-dfsg-6) unstable; urgency=low

  * Change libreadline build dependency to just libreadline-dev
    (Closes: #553804).
  * Add new debconf template translations:
    + Japanese from Hideki Yamane (Closes: #558082)
    + Spanish from Shukoh (Closes: #557008)
    Credit to the respective Debian translation teams.
  * Fix a spelling error in one of the debconf templates, run
    debconf-updatepo, clean out the old obsolete translation entries, and
    perform some trivial maintenance on the Nynorsk file.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 28 Nov 2009 17:57:30 +0100

lsh-utils (2.0.4-dfsg-5) unstable; urgency=low

  * lsh-server.init.d: Don't suppress start/stop messages when $VERBOSE =
    "no". /etc/init.d/skeleton is not a good example in this matter.
  * blacklist.dpatch: Check keys against openssh-blacklist before
    accepting for pubkey authentication as well as on conversion by
    lsh-writekey and lsh-decode-key.
  * lsh-server: Depend on openssh-blacklist, recommend -blacklist-extra.
    lsh-utils: Recommend openssh-blacklist and -blacklist-extra.
  * Move seed and key creation back to postinst and import RSA key from
    openssh-server if it exists (Closes: #211252).
  * debian/mans/lcp.1: Fix errors.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 08 Nov 2009 20:18:17 +0100

lsh-utils (2.0.4-dfsg-4) unstable; urgency=high

  * lsh-server.init.d: Fix critical exit status ($?) handling mistake
    (Closes: #545090).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 05 Sep 2009 00:44:45 +0200

lsh-utils (2.0.4-dfsg-3) unstable; urgency=low

  * lsh-doc: Depend on dpkg (>= 1.15.4) | install-info as recommended for
    the transition to triggerized install-info.
  * Add ${misc:Depends} to Depends in case Debhelper needs it in the
    future.
  * Increase Debhelper compat level to 5.
  * Build with Nettle 2.0 (nettle-dev) (Closes: #543131).
    * nettle_2.0.dpatch created to adapt to API changes.
    * 30_nonettle.dpatch modified to add -lhogweed to LDADD  where
      appropriate.
  * Add ANNOUNCE to lsh-doc.
  * Rewrite lsh-server.init.d a bit:
    * Use LSB logging functions.
    * Let lshd daemonize and create/delete its pid file by itself.
    * Change the Provides: line in the LSB header to "lsh-server" and
      declare that it should start before the services that depend on an 
      SSH server (Closes: #542689). Thanks to Petter Reinholdtsen.
    * Support the status action.
  * Drop the no longer useful lsh-server-config script.
  * Upgrade to Standards-Version 3.8.3:
    * Add README.source.
  * Drop obsolete manpages from debian/mans.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 03 Sep 2009 00:55:45 +0200

lsh-utils (2.0.4-dfsg-2) unstable; urgency=low

  * 40_better_errmsg_when_dotlsh_missing.dpatch (new): In unix_random.c,
    check whether the seed file exists before trying to lock it, and give
    the hint about running lsh-make-seed if it doesn't (Closes: #485856).
  * Update doc-base section of lsh-doc to match current structure.
  * Remove inactive maintainer as requested by the MIA team and put myself
    in charge (Closes: #487137).
  * Upgrade lsh-client's Recommends of lsh-utils to a Depends. It's not
    huge and lsh-client is almost useless without it in most cases
    (Closes: #481073).
  * Use --as-needed to avoid unnecessary dependencies.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 25 Jun 2008 16:40:16 +0200

lsh-utils (2.0.4-dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #422199)
    - Repackaged without non-free RFC (src/nettle/testsuite/rfc1750.txt)
      (Closes: #408490).
    - Drop 01_fix_manpages.dpatch; incorporated upstream.
    - Fixes X11 forwarding bug.
  * New co-maintainer added.
  * Rename lsh-utils-doc as lsh-doc. We'll rename the source package after
    Sarge is gone.
  * Drop the tarball-in-tarball format and ship a "normal" .orig.tar.gz.
    - Drop 02_fix_perms.dpatch.
    - Add some extra cleanup in debian/rules.
  * Increase Standards-Version to 3.7.3. No changes needed.
  * Put some more docs in the packages: README and ChangeLog is now in all
    packages, AUTHORS in lsh-utils. Update debian/copyright to refer to
    /usr/share/doc/lsh-utils/AUTHORS (Closes: #421108).
  * debian/control: Use ${binary:Version} substitution variable instead of
    ${source-version}.
  * Review Build-depends: Drop patchutils, comerr-dev (redundant),
    po-debconf (redundant), xutils (makes no difference); add
    autotools-dev, scsh-0.6 (as alternative to guile-1.6).
  * Drop lshc, the deprecated alias for lsh (Closes: #417426).
  * 30_nonettle.dpatch: Link dynamically with libnettle-dev instead of
    statically with the bundled nettle (Closes: #412138).
  * Don't provide sexp-conv; let lsh-client depend on nettle-bin instead.
  * Move lsftp and lcp to lsh-client.
  * Put sftp-server in /usr/lib/lsh-server and put the manpage in section
    8lsh instead of renaming it (new 20_sftp-server_mansection.dpatch).
  * Ship lsh.html in lsh-doc.
  * Add doc-base entry.
  * debian/control: Add Homepage field.
  * debian/watch: Update dversionmangle to strip -dfsg suffix.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 01 May 2008 19:22:18 +0200

lsh-utils (2.0.2-1.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf templates translations:
    - Swedish added. Closes: #351641
    - Portuguese added. Sent during the call for updates of the NMU campaign.
  * Lintian fixes:
    - Do not Build-depend on build-essential
    - Add a very basic LSB header to the init script

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Dec 2006 22:02:11 +0100

lsh-utils (2.0.2-1) unstable; urgency=low

  * New upstream release
  * The fd leak in the server is known as CVE-2006-0353
  * Support for aes256-ctr.
  * Newer nettle library.
  * Fix for some more fd leaks, but none in the debian default
    configuration.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sat, 28 Jan 2006 05:42:16 +0100

lsh-utils (2.0.1cdbs-4) unstable; urgency=high

  * Remove silly debconf questions and correct others. (Closes: Bug#337026)
  * Switch to dpatch.
  * Make lsh-utils build on a grsecurity system.
  * Remove /var/spool/lsh upon purge.
  * Update Vietnamese debconf translation.
  * Update German debconf translation.
  * Update Danish debconf translation.
  * Update Czech debconf translation.
  * Update Dutch debconf translation.
  * Update Russian debconf translation. (Closes: Bug#349180)
  * Update French debconf translation. (Closes: Bug#348822)
  * Have lsh-server provide ssh-server. (Closes: Bug#348844)
  * Update the watch file format version to the latest (3).
  * Have uscan remove the "cdbs" version extension.
  * Fix fd leak in the lsh-server.
    This is to be security related, so upload it with a high urgency.
    (Closes: Bug#349303)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 22 Jan 2006 06:30:43 +0100

lsh-utils (2.0.1cdbs-3) unstable; urgency=low

  * The 2.0 release removed the "pesky" identity file error.
    (Closes: Bug#214167)
  * Update Danish debconf translation.
  * Update Vietnamese debconf translation.
  * Update French debconf translation. (Closes: Bug#347543)
  * Update Russian debconf translation. (Closes: Bug#348138)
  * Do not regenerate debian/rules. (Closes: Bug#347891)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 15 Jan 2006 21:02:36 +0100

lsh-utils (2.0.1cdbs-2) unstable; urgency=low

  * No longer build-depend on xlibs-dev, use libxau-dev instead.
    (Closes: Bug#347143)
  * Depend on comerr-dev too, otherwise kerberos support would be broken.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 12 Jan 2006 19:34:23 +0100

lsh-utils (2.0.1cdbs-1) unstable; urgency=low

  * Change the build system to cdbs.
    (And hopefully don't introduce any new bugs.)
  * Make lintian happy with the odieresis in the manpages.
  * Fix debian/control, so it can be autogenerated by cdbs.
  * Conflict lsh, and rename lshc to lsh.
  * Include a small shell script to notify users.
  * Make stop act the same way graceful-stop was doing already.
    This helps not to accidently kill your own lsh connection.
  * Update debconf po files.
  * Update the German debconf translation.
  * Remove the SSH1 notice from lsh-server's package description.
  * Make the lsh-server package suggest lsh-client or openssh-client.
  * Add a small note on how to use the lsh client. (Closes: Bug#109899)
  * No longer FTBFS because of wrong debian/rules. (Closes: Bug#344747)
  * Update Czech translation. (Closes: Bug#345141)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon,  9 Jan 2006 00:36:44 +0100

lsh-utils (2.0.1-5) unstable; urgency=low

  * Make lsh-utils depend on lsh-client. (Closes: Bug#338014)
  * Fix lshg to look for lshc instead of lsh. (Closes: Bug#320554)
  * Fix lcp to look for lshc instead of lsh. (Closes: Bug#338015)
  * Add lcp manpage. (Closes: Bug#338017)
  * Clarify package description. lsh should be considered stable now.
    (Closes: Bug#211317)
  * Update Russian debconf translation. (Closes: Bug#338170)
  * Update French debconf translation. (Closes: Bug#338104)
  * Update Danish debconf translation. (Closes: Bug#337017)
  * Change guile1.4-slib to guile-1.6 since slib.scm is included
    with guile-1.6-libs, and we need the scheme interpreter.
  * Add myself to the uploaders list.
  * Approve NMUs.
    (Closes: Bug#300496,Bug#318211,Bug#326328,Bug#326329,Bug#332012)
    (Closes: Bug#271911,Bug#312617,Bug#313975,Bug#304697,Bug#319933)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 10 Nov 2005 21:36:44 +0100

lsh-utils (2.0.1-4.2) unstable; urgency=low

  * NMU.
  * Make sftp support availible via debconf. (Closes: Bug#304697)
  * Rebuild against libreadline5 and change build-deps.
    (Closes: Bug#326328,Bug#326329)
  * Rebuild with fixed debconf deps. (Closes: Bug#332012)
  * Update FSF address in debian/copyright.
  * Add czech po file. (Closes: Bug#319933) 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon, 31 Oct 2005 14:21:54 +0100

lsh-utils (2.0.1-4.1) unstable; urgency=low

  * NMU.
  * Trigger a rebuild to build against libgmp3c2. (Closes: Bug#318211)
  * Make lsh-server suggest openssh-client or ssh.
  * Fix Package description (Closes: Bug#271911)
  * Add vietnamese debconf localization. (Closes: Bug#312617)
  * Update german debconf localization. (Closes: Bug#313975)
  * Rebuild fixes lshc host-acls (Closes: Bug#300496)
  * Bump standards-version, no changes needed. (make lintian happy)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 14 Aug 2005 17:04:55 +0200

lsh-utils (2.0.1-4) unstable; urgency=high

  * Trigger a rebuild, because the i386 package wasn't built properly.
    (Closes: Bug#309365)

 -- Simon Law <sfllaw@debian.org>  Mon, 16 May 2005 16:54:00 -0400

lsh-utils (2.0.1-3) unstable; urgency=high

  * Remove the unnecessary nettle-lfib-stream program.  (Closes: Bug#308233)

 -- Simon Law <sfllaw@debian.org>  Mon,  9 May 2005 19:25:56 -0400

lsh-utils (2.0.1-2.1) unstable; urgency=high

  * NMU
  * Remove --nist-level option to lsh-keygen since it has changed to using RSA
    keys now and the old --nist-level setting breaks it. Closes: #301968
  * High urgency upload since 2.0.1 is needed in testing due to the security
    fix.

 -- Joey Hess <joeyh@debian.org>  Sat,  9 Apr 2005 15:02:22 -0400

lsh-utils (2.0.1-2) unstable; urgency=high

  * Fix up path resolution problems.  (Closes: Bug#301039)
    Thanks to Stefan Pfetzing <dreamind@dreamind.de>
  * Added a build-depends on m4.  (Closes: Bug#300874)
  * Denial of service attack is now known as CAN-2005-0814.

 -- Simon Law <sfllaw@debian.org>  Sat, 26 Mar 2005 13:29:27 -0500

lsh-utils (2.0.1-1) unstable; urgency=high

  * New upstream release
   - Fix denial of service attack documented in CAN-2005-0389

 -- Simon Law <sfllaw@debian.org>  Fri, 18 Mar 2005 17:24:10 -0500

lsh-utils (2.0-1) unstable; urgency=high

  * New upstream release.
  * Remove extraneous symlinks.  (Closes: Bug#291010)
  * Acknowledge NMUs.  (Closes: Bug#293020, Bug#255643)

 -- Simon Law <sfllaw@debian.org>  Thu, 17 Mar 2005 18:51:12 -0500

lsh-utils (1.4.2-8.2) unstable; urgency=low

  * Non-maintainer upload with maintainer"s agreement
  * Fix FTBFS with gcc-4.0 for amd64 builds
    Thanks to Andreas Jochens for providing the patch
    Closes: #293020

 -- Christian Perrier <bubulle@debian.org>  Tue,  1 Feb 2005 07:10:17 +0100

lsh-utils (1.4.2-8.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement
    for fixing longstanding l10n issues
  * Translations:
    - French added. Closes: #255643
    - Danish added. Thanks to Claus Hindsgaul
    - Russian added. Thanks to Yuri Kozlov
    - Norwegian Nynorsk added. Thanks to Håvard Korsvoll
    - Dutch added. Thanks to Luk Claes.
  * Typo fixes in templates (translations unfuzzied):
    - s/woul dlike/would like
    - s/ifyou/if you

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Jan 2005 23:29:09 +0100

lsh-utils (1.4.2-8) unstable; urgency=medium

  * Register sexp-conv with the alternatives system so that it doesn't
    conflict with the binary of the same name (and function) shipped with
    nettle-bin (Closes: Bug#274772)
    - This kludge brought to you by Marek Habersack <grendel@debian.org>.

 -- Simon Law <sfllaw@debian.org>  Sun,  5 Dec 2004 15:15:59 -0500

lsh-utils (1.4.2-7) unstable; urgency=low

  * New maintainer.
  * Fix build problem. (Closes: Bug#242040)
  * Use gettext-based Debconf templates.  Thanks to Martin Quinson.  
    (Closes: Bug#239870)
  * Upgraded to Policy 3.6.1.
  * Upgraded to Debhelper 4.

 -- Simon Law <sfllaw@debian.org>  Wed,  2 Jun 2004 17:56:39 -0400

lsh-utils (1.4.2-6) unstable; urgency=HIGH

  * Applied patch to fix root security hole (closes: #211662)
  * Build kerberos support against heimdal rather than krb (closes: #199067)

 -- Timshel Knoll <timshel@debian.org>  Sat, 20 Sep 2003 11:42:27 +1000

lsh-utils (1.4.2-5) unstable; urgency=low

  * debian/control: Removed alternative of scsh in place of guile1.4-slib from
    Build-Depends, we really need the latter to build lsh. (closes: #192771)

 -- Timshel Knoll <timshel@debian.org>  Sun,  8 Jun 2003 17:44:58 +1000

lsh-utils (1.4.2-4) unstable; urgency=low

  * Just Build-Depend on liboop-dev, not liboop4-dev | liboop-dev (there is
    no liboop4-dev, whoops!) (closes: #192172)
  * lsh-server: Added lintian override for missing-debconf-dependency
    (lsh-server falls back to asking the user if debconf isn't installed)

 -- Timshel Knoll <timshel@debian.org>  Thu,  8 May 2003 02:24:52 +1000

lsh-utils (1.4.2-3) unstable; urgency=low

  * debian/control: Priority: extra; lsh-utils-doc changed to Section: doc
  * Policy 3.5.9
  * Re-compile against liboop4

 -- Timshel Knoll <timshel@debian.org>  Wed, 30 Apr 2003 23:08:41 +1000

lsh-utils (1.4.2-2) unstable; urgency=low

  * debian/control: Build-Depend on xutils (closes: #160666)
  * Rename sftp-server to sftp-server.lsh to work around name conflict with
    ssh's sftp-server. (closes: #160611) Maybe this should eventually be
    handled with alternatives?

 -- Timshel Knoll <timshel@debian.org>  Fri, 13 Sep 2002 11:14:43 +1000

lsh-utils (1.4.2-1) unstable; urgency=low

  * New upstream release, a number of new programs come in this release
  * debian/control: Added lots of new Build-Depends: for 1.4.x series:
    + liboop-dev      required for main lsh servers
    + xlibs-dev       the lshc client now supports X11 forwarding and hence
                      links with libXau: yay!
    + libkrb5-dev     for the lsh-krb-checkpw password helper program. This is
                      still not working however, see README.Debian for details,
                      but I've left the Build-Dep here in stubborn hope :-)
    + libwrap-dev     For lots of the lsh programs to use the TCP wrappers
    + libpam-dev      Required for the lsh-pam-checkpw password helper program
    + libreadline-dev Required for lsftp's the interactive mode
  * debian/lsh-server.{config,templates,postrm}: ask whether to remove
    host keys when lsh-server is purged, all versions of lshd from now on
    should not disconnect users when the server is restarted - very useful
    when lsh'd into a box doing an "apt-get install lsh-server" !!! :-)
  * debian/lsh-server.config: modularised. Now uses a function
    for each debconf question, and has an array of function references.
    Check it out :-)
  * debian/mans/<lots-of-stuff>:
    Added manpages for new programs, updated some existing manpages
  * lshd now needs a random seed file, which needs to be generated before lshd
    can be run. Unfortunately, this operation requires user input, so this
    can't really be done in the postinst (problems with debconf etc.). This
    also means that the host key can't be generated in the postinst, since
    lsh-keygen and lsh-writekey both need the random seed to exist.
  * debian/lsh-server.init.d: generate the host key here if the random seed
    exists, fail if it doesn't.

 -- Timshel Knoll <timshel@debian.org>  Wed, 11 Sep 2002 12:42:56 +1000

lsh-utils (1.2.5-3) unstable; urgency=low

  * debian/control:
    - Updated description to remove "export from US is illegal" information
    - Removed France from the list of countries where crypto may be illegal
  * debian/mans/{srp-gen.1,sexp-conv.1}: manpage neatened / errors fixed
  * debian/scripts/lsh-server-config, debian/lsh-server.postrm:
    Also create / remove /etc/ssh/sshd_not_to_be_run at appropriate times to
    prevent sshd from being run, not just /etc/ssh/NOSERVER
  * debian/lsh-server.init.d: fixed issues with ssh1 fallback, it didn't work
    before (typo in variable names)

 -- Timshel Knoll <timshel@debian.org>  Mon, 15 Apr 2002 22:41:58 +1000

lsh-utils (1.2.5-2) unstable; urgency=low

  * Packages moved into main from non-US, yay! Now Section: net
  * Fixed &>/dev/null bash-ism redirects in upstream's lsh-authorize
    replaced with >/dev/null 2>&1
  * debian/control: fixed misspelling in -doc package description
    (closes: #125097)
  * src/lsh.c: changed "lsh" references to "lshc" (closes: #109898)

 -- Timshel Knoll <timshel@debian.org>  Wed, 27 Mar 2002 01:07:34 +1100

lsh-utils (1.2.5-1) unstable; urgency=low

  * New upstream release
  * Added German debconf translation (thanks to Sebastian Feltel)
    (closes: #114339)
  * debian/copyright: fixed misspelling, common-licences -> common-licenses 

 -- Timshel Knoll <timshel@debian.org>  Tue, 30 Oct 2001 15:44:43 +1100

lsh-utils (1.2.3-1) unstable; urgency=low

  * New upstream release
  * debian/control: Don't Build-Depend on libgmp2-dev (closes: #104285)

 -- Timshel Knoll <timshel@debian.org>  Thu, 12 Jul 2001 11:26:47 +1000

lsh-utils (1.2.2-2) unstable; urgency=low

  * Applied Niel's IPv6 patch, to get lshd working on systems without IPv6
    (closes: Bug#97623)

 -- Timshel Knoll <timshel@debian.org>  Wed, 23 May 2001 09:38:03 +1000

lsh-utils (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sat, 12 May 2001 23:58:20 +1000

lsh-utils (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Sat, 21 Apr 2001 21:52:01 +1000

lsh-utils (1.2-1) unstable; urgency=low

  * New upstream release
  * Fixes do debian/installmans.pl's manpage section regex and sanity
    checking
  * Added manpage for new binary lshg (in lsh-client package), did
    some updates for the lshc binary as options have been added.
  * Heaps of packaging fixes/updates.

 -- Timshel Knoll <timshel@debian.org>  Thu, 12 Apr 2001 13:02:27 +1000

lsh-utils (1.0.2-3) unstable; urgency=low

  * debian/control: Split into 4 packages, lsh-utils, lsh-client,
    lsh-server and lsh-utils-doc, Standards-Version: 3.5.2,
    Build-Depends: zlib1g-dev -> libz-dev, added guile1.4-slib | scsh
  * Pulled original upstream configure script back in and modified that
    rather than re-generating with autoconf, which made for a huge .diff.gz.
  * lsh-server package debconf-ized, lsh-server-config script added
    to configure lshd.
  * debian/rules: Added support for DEB_BUILD_OPTIONS=nostrip,debug

 -- Timshel Knoll <timshel@debian.org>  Mon,  9 Apr 2001 23:59:47 -0700

lsh-utils (1.0.2-2) unstable; urgency=low

  * Changed order of ./configure checks for gmp.h and gmp2/gmp.h to fix
    compile failure - this now checks for gmp2/gmp.h first and thus fixes
    the problem. This compile is against libgmp3.
  * debian/installmans.pl: perl Debian::Debhelper program to install manpages
    properly - this replaces the dh_installmanpages call in debian/rules
    which will mean that manpages are installed under their correct names.
    (ie. lsh.1 will be installed as lshc.1) (closes: Bug#88197).
  * debian/control: Standards-Version: 3.1.1, Build-Depends: added
    (including texinfo and libgmp2-dev | libgmp3-dev
     - (closes: Bug#79645, Bug#84532)).
  * debian/rules: Removed call to obsolete dh_suidregister.
  * debian/init.d: changed default port of lshd from 2223 to 2222 (it should
    have been this from the start, since ssh runs on port 22 _not_ 23). :-)

 -- Timshel Knoll <timshel@debian.org>  Tue, 13 Mar 2001 09:54:33 +1100

lsh-utils (1.0.2-1) unstable; urgency=low

  * New upstream release (closes: Bug#75042)

 -- Timshel Knoll <timshel@debian.org>  Tue, 12 Dec 2000 11:38:13 +1100

lsh-utils (1.0.1-2) unstable; urgency=low

  * Fixed typo in debian/postinst (lsh_writekey needs -o before output
    filename) (closes: Bug#71240)

 -- Timshel Knoll <timshel@debian.org>  Mon, 18 Sep 2000 23:52:02 +1100

lsh-utils (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Tue, 18 Jul 2000 19:10:12 +1000

lsh-utils (0.9.9-1) unstable; urgency=low

  * Initial Release.

 -- Timshel Knoll <timshel@debian.org>  Thu, 15 Jun 2000 16:30:33 +1000

